Build error when running a CSharp project

Problem description

Missing sdk versions for dotnet projects. I have poorly written this, because “new users cant post 2 links” error deleted my detailed post content as I submitted it, without a chance for me to edit it, and I cant rewrite it all because of time.

Expected behavior

It should ID the right sdk and build

Actual behavior

shows error

/home/runner/isw-auth-phoenix/PhoenixAuth/PhoenixAuth.csproj : warning NU1603: Microsoft.VisualStudio.Web.CodeGeneration.Utils 3.1.0-preview1-19509-03 depends on Microsoft.CodeAnalysis.CSharp.Workspaces (>= 3.4.0-beta2-19477-01) but Microsoft.CodeAnalysis.CSharp.Workspaces 3.4.0-beta2-19477-01 was not found. An approximate best match of Microsoft.CodeAnalysis.CSharp.Workspaces 3.4.0-beta2-final was resolved.
You must install or update .NET to run this application.

App: /home/runner/isw-auth-phoenix/PhoenixAuth/bin/Debug/netcoreapp3.1/PhoenixAuth
Architecture: x64
Framework: 'Microsoft.AspNetCore.App', version '3.1.0' (x64)
.NET location: /nix/store/4axlc21msjr9g181l2y6hxsmm4jar8i7-dotnet-sdk-6.0.403

The following frameworks were found:
  6.0.11 at [/nix/store/4axlc21msjr9g181l2y6hxsmm4jar8i7-dotnet-sdk-6.0.403/shared/Microsoft.AspNetCore.App]

Learn about framework resolution:
url-removed

To install missing framework, download:
https://aka.ms/dotnet-core-applaunch?framework=Microsoft.AspNetCore.App&framework_version=3.1.0&arch=x64&rid=ubuntu.20.04-x64

Steps to reproduce

clone a repo of a csharp project for dotnet 3.1

Browser

firefox

OS

windows 11

Device if mobile

n/a

Plan

free

Try looking at at this resource.